This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121133 - Dependency and build dependency for device-mapper
Dependency and build dependency for device-mapper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-obsolete (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-17 16:17 EDT by Ed Avis
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 12:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2004-04-17 16:17:36 EDT
device-mapper links against libselinux and requires the libselinux
header files to build, so the spec file should mention this:

--- device-mapper.spec~	2004-04-16 07:59:15.000000000 +0100
+++ device-mapper.spec	2004-04-17 21:10:33.980545488 +0100
@@ -8,6 +8,8 @@
 Source0: %{name}.%{version}.tgz
 Patch0: device-mapper.1.00.14-selinux-enotsup.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
+Requires: libselinux
+BuildRequires: libselinux-devel
 
 %define _exec_prefix /
Comment 1 Stephen Tweedie 2004-04-17 18:25:16 EDT
The Requires: is unnecessary --- the build process picks library
dependencies like that up automatically, and the current device-mapper
rpms have it set properly as a result.  

The BuildRequires: looks needed, though.
Comment 2 Alasdair Kergon 2004-09-17 12:31:53 EDT
Added to 1.00.19-2

Note You need to log in before you can comment on or make changes to this bug.